QIMA Logo
API Reference

8 categories • 44 endpoints

  • All APIs

    44


  • Lab Testing
    v1.0.0

    Upload attachments to a lab testing order

    Request

    Query Parameters
    NameTypeLocationRequiredDescription
    orderIdstringpathYesLT order id
    Idempotency-KeystringheaderYesUnique key to prevent duplicate upload requests.
    filesarrayformDataYesOne or more files to upload.
    sourceIdstringqueryNoSource id passed to AIMS. Defaults to the order ID if not provided.
    fileLabelstringqueryNoAttachment label. Defaults to "Client Document for Review" if not provided.
    fileDescriptionstringqueryNoOptional description for the uploaded attachment(s).
    Responses

    200
    Attachments uploaded successfully. Returns upload result details for each file.

    Content-Type: application/json


    Content-Type: application/json


    Content-Type: application/json


    Content-Type: application/json


    Content-Type: application/json

    POST
    /v1.2/lt/orders/{orderId}/attachments
    Request samples

    application/json

    {}

    Response samples

    application/json

    [ { "id": "string", "label": "string", "fileName": "string", "fileSize": 1, "description": "string", "fileHashcode": "string", "sourceId": "string", "status": "string", "message": "string", "createTime": "string", "updateTime": "string", "createdBy": "string", "updatedBy": "string" } ]